  .alertStatus{scroll-behavior: smooth;}

  .alertStatus::-webkit-scrollbar{width: 1px;}

  .alerteMaker {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: grey;
    border: 2px solid #ffffff;
  }


.alerteMaker.active{position: relative;} 

.alerteMaker.active::after {
  content: "";
  position: absolute;
  width: 40px;
  height: 40px;
  border: 2px solid #0733f5;
  border-radius: 50%;
}

 
    .alerteMaker.photoassign { background-color: #102cca; border: 2px solid #ffffff; }
    .alerteMaker.photochecked { background-color: #102cca; border: 2px solid #ff0b0b; }
    .alerteMaker.terraassign { background-color: green; border: 2px solid #ffffff; }
    .alerteMaker.terrachecked { background-color: green; border: 2px solid red; }
    
    /* .alerteMaker.terra.nega { background-color: green; border: 2px solid #e0f001; }
    .alerteMaker.terra.posi { background-color: green; border: 2px solid red; } */


    .leaflet-legend {
      background: #0000008a;
      backdrop-filter: blur(10px);
      -webkit-backdrop-filter: blur(10px);
      color: #ffffff;
      border-radius: 10px 10px 0 0;
      overflow: hidden;
      font-size: 14px;
      line-height: 1.6;
      box-shadow: 0 4px 8px #00000033;
      display: none;
      width: 200px;
      border: 1px solid white 
}

    .leaflet-legend.visible {
      display: block;
    }

    .legend-header {
      display: flex;
      align-items: center;
      justify-content: space-between;
      background-color:var(--dark) ;
      color: white;
      padding: 4px 10px;
      padding-right: 1px;
      font-weight: bold;
    }

    .legend-header .title {
      display: flex;
      align-items: center;
    }

    .legend-header .title i {
      margin-right: 8px;
      font-size: 18px;
    }

    .legend-header .legendCloser {
      background: red;
      border: none;
      color: white;
      cursor: pointer;
      font-size: 13px;
      width: 20px;
      height: 20px;
      line-height: 20px;
      font-weight: bold;
      border-radius:3px;
      text-align:center
    }

    .legend-item {
      display: flex;
      align-items: center;
      padding: 8px 10px;
      border-bottom: 1px solid grey;
    }

    .legend-item:last-child {
      margin-bottom: 0;
    }

    .legend-icon {
      cursor: pointer;
      margin-right: 10px;
    }

    /* Bouton pour afficher la légende */
    .legendBtn {
      margin-left: 5px;
      background-color: rgba(0, 0, 0, 0.7);
      color: white;
      border: none;
      padding: 6px 10px;
      border-radius: 5px;
      cursor: pointer;
      box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
      font-size: 16px;
      display: flex;
      max-width: 32px;
      align-items: center;
      justify-content: center;
      border: 1px solid white
    }


  .leaflet-control-attribution{
  display: none !important;
  }


  .leaflet-control-scale {
    background: rgba(255, 255, 255, 0.726) !important;
    border: 2px solid #777 !important;
    border-radius: 5px !important;
    padding: 5px !important;
    font-size: 12px !important;
    font-family: Arial, sans-serif !important;
  }

  .leaflet-control-scale-line {
  border-bottom: 2px solid #777 !important;
  width: 100% !important;
  }

  .leaflet-control-scale-label {
  color: #777 !important;
  margin-top: 5px !important;
  }




  
.alerteMaker.activescale{
  transform: scale(1.8);
  opacity: 1;
  /* box-shadow: 0px 0px 8px #313131cc; */

}

.alerteMaker.offscale{
  transform: scale(1);
  opacity: 0.2;
  border: 1px solid #ffffff;
  -webkit-transform: scale(1);
  -moz-transform: scale(1);
  -ms-transform: scale(1);
  -o-transform: scale(1);
}

.legend-icon:hover{
  transform: scale(1.2);
}
.legend-icon.activescale{
/* .activescale{ */
  transform: scale(1.8);
  opacity: 1;
  filter: brightness(110%);
  border: 1px solid rgb(255, 255, 255);
  box-shadow: 2px 2px 8px grey;
  transition: all 0.5s ease;
}

.legend-icon.offscale{
/* .offscale{ */
  transform: scale(1);
  opacity: 0.4;
}
.legendTexto{
  display: flex;
  justify-content: space-between;
  /* border: 1px solid #000; */
  width: 80%;
}

.cluster {
  box-shadow: 0 0 8px var(--shad);
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid #ffffff; 
  text-align: center; 
  border-radius: 50%; 
  height: 30px;
  width:30px ;
  padding: 3px; 
  font-size: 14px; 
  font-weight: bold; 
}

.cluster.small { background-color: #71ad3f91; color: white; }
.cluster.medium { background-color: #ffaa0cb2; color: white; }
.cluster.large { background-color: #ff4400cc; color: white; }



  .mapbtner{
    display: block;
    border: 2px solid #838383b2;
    background-color: #fff;
    font-weight: bold;
    border-radius: 3px;
    padding: 4px 0;
    font-size: 16px;
    width: 34px !important;
    height: 33px !important;
    min-width: 34px !important;
    min-height: 33px !important;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}


/* ------------------------------------ */


          .carderMap{
            height: fit-content;
            width: 100%;
          }
        #sidebarMap {
            position:absolute;
            top: 0;
            right: 5px;
            width: 300px;
            height: 100%;
            backdrop-filter: blur(50px);
            background-color: rgb(136, 136, 136);
            box-shadow: 2px 0 10px rgba(0, 0, 0, 0.1);
            transition: transform 0.3s ease;
            z-index: 10999900;
        }
        #sidebarMap.collapsed {
            opacity: 0;
            pointer-events: none;
            transform: translateX(100%);
        }
        #sidebarMap legend,.forest-popup legend{
        margin: 0 !important;
        font-size: 15px !important;
        float: none !important;
       /* width: 100%; */
        padding: 0;
        margin-bottom: 0.4rem !important;
        line-height: inherit;
      }
        #sidebarMap fieldset,.forest-popup fieldset{
         border: 1px solid #5a5a5a;
      }
        

        .navbarMap {
            background-color: #3b3b3b;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
            display: flex;
            justify-content: space-between;
            align-items: center;
            color: white;
            width: 100%;
            height: 35px;
            border-bottom: 1px solid white;
            position: sticky;
            padding: 2px 6px;
        }
        .navTitle{
            height: 85%;
            justify-content: space-between;
            align-items: center;
            display: flex;
            gap: 5px;
            background-color: #fff;
            color: #000;
            border-radius: 5px;
            padding-right: 5px;
            box-shadow: 0 4px 5px #30303027 inset;
            border: 1px solid #ffffffde;
            min-width: 70px;
            font-weight: bold;
        }
          
        .search-input-container {
            position: relative;
            background-color: white;
            max-width: 110px;
            border-radius: 8px;
        }
       .search-input-container   .search-input {
            border-radius: 8px;
            width: 85%;
            background-color: white;
            padding: 3px 5px;
            border: none;
            outline: none;
            font-size: 0.9rem;
            transition: all 0.3s;
        }
      
        .search-input-container  .search-icon {
            position: absolute;
            right: 5px;
            top: 50%;
            transform: translateY(-50%);
            color: #6c757d;
            font-size: 14px;
        }
 
    
        .container-main{
            height: calc(100% - 40px);
            max-height: calc(100% - 40px);
            overflow-y: auto;
        }
        .container-main::-webkit-scrollbar{
          width: 0px !important;
        }
        .forest-info .forest-metas{
            padding:1px 4px;
            text-align: center;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
            background-color: #355a33;
        }
        .forest-info .forest-metas > *{
            color: white;
            text-shadow: 1px 1px 1px black;
        }
        .forest-info fieldset{
            padding: 1px 5px;
            border-radius: 5px;
            margin-bottom: 4px;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
            margin: 5px;
        }
        .forest-info fieldset hr{
           max-width: 60%;
           margin: 4px auto;
        }
        .stat-card {
            background-color: white;
            border-radius: 10px;
            padding: 15px;
            margin: 5px;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
            text-align: center;
        }
        .stat-value {
            font-size: 1.5rem;
            font-weight: bold;
            color: #2c8c4a;
        }
        .stat-label {
            font-size: 0.8rem;
            color: #6c757d;
        }
        .forest-card {
            background-color: white;
            border-radius: 10px;
            overflow: hidden;
            margin: 10px 5px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            transition: transform 0.3s;
            cursor: pointer;
            border: 1px solid #ffffff;
            border-top: 2px solid rgb(255, 255, 255);
            border-bottom: 2px solid rgb(255, 255, 255);
            /* opacity: 0.8; */
        }
        .forest-card:hover {
            transform: translateY(-2px);
            opacity: 1;
        }
        /* .forest-info {
        } */
        .forest-name {
            font-weight: bold;
            color: #2c8c4a;
            margin-bottom: 10px;
            font-size: 1.1rem;
        }
        .forest-property {
            margin-bottom: 8px;
            font-size: 0.9rem;
            text-align: center;
        }
        .property-icon {
            color: #2c8c4a;
            width: 20px;
            margin-right: 8px;
        }
            .forest-property small{
                    text-align: center;
                    color: #6c757d;
            }
        .risk-barMap {
            height: 10px;
            background-color: #e9ecef;
            border-radius: 5px;
            margin-top: 5px;
            overflow: hidden;
        }
        .risk-levelMap {
            height: 100%;
            background: linear-gradient(90deg, #f3f3f3, #f5071e);
            border-radius: 5px;
        }
        .alert-bar {
            height: 10px;
            background-color: #e9ecef;
            border-radius: 5px;
            margin: 0 10px;
            margin-top: 5px;
            overflow: hidden;
            display: flex;
        }
        .alert-positive {
            background-color: #dc3545;
            height: 100%;
        }
        .alert-negative {
            background-color: #28a745;
            height: 100%;
        }
        .text-danger{color: red;}
        .text-primary{color: rgb(41, 109, 187);}
        .text-success{color: green;}

        .mini-card-container{
           flex-wrap: wrap;
           display: flex; 
           align-items: center;
           justify-content: space-around;
        }
        
        .mini-card-stat-div{
            margin: 2px 4px;
            }

        .mini-stat-card {
            background-color: white;
            border-radius: 4px;
            padding: 3px 8px;
            margin-bottom: 5px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);
            text-align: center;
            border: 1px solid #5c5b5b59;
        }
        .mini-stat-value {
            font-weight: bold;
            font-size: 1rem;
        }
        .mini-stat-label {
            font-size: 0.7rem;
            color: #6c757d;
        }
        .risk-factors {
            font-size: 0.8rem;
            color: #6c757d;
            margin-top: 5px;
        }
        .risk-factor-tag {
            display: inline-block;
            background-color: #f8f9fa;
            border-radius: 12px;
            padding: 2px 8px;
            margin-right: 5px;
            margin-bottom: 5px;
            font-size: 0.7rem;
            border: 1px solid #dee2e6;
        }
      
        .no-results {
            text-align: center;
            padding: 20px;
            color: #6c757d;
            color: #ffffff;
            font-style: italic;
        }
        

/* ------------------------------------------------------------------- */
/* ------------------------------------------------------------------- */
/* ------------------------------------------------------------------- */

   /* .container-main::-webkit-scrollbar{
    width: 30px;
   } */
    #control-panel {
      position: absolute;
      bottom: 50px;
      right: 10px;
      z-index: 1000;
      background: #39383881;
      border: 1px solid #ffffff;
      backdrop-filter: blur(10px);
      border-radius: 8px;
      box-shadow: 0 0 15px rgba(0,0,0,0.2);
      width: 280px;
      transition: transform 0.3s ease;
      opacity: 1;
    }
    
    #control-panel.collapsed {
      opacity: 0;
      transform: translateX(200%);
    }


    #control-panel .control-header {
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin-bottom: 5px;
      border-bottom: 1px solid white;
      padding: 8px;
      padding-right: 1px;
      border-radius: 10px 10px 0 0;
      background-color: #3a3a3a;
      text-shadow: 1px 1px 1px black;
    }

    #control-panel .control-header h2 {
      margin: 0;
      font-size: 18px;
      color: #333;
      color: white;
    }


    #toggle-panel, .sidebarMap-toggle {
      width: 25px;
      height: 25px;
      margin: 0 3px !important;
      background: rgb(247, 37, 37);
      color: rgb(255, 255, 255);
      border-radius: 50%;
      border: none;
      cursor: pointer;
      box-shadow: 0 0 10px rgba(0,0,0,0.2);
      z-index: 1001;
      display: flex;
      align-items: center;
      justify-content: center;
      text-shadow: none;

    }
    #toggle-panel:hover{
      transform: scale(1.05);
    }
    #control-panel .control-content {
        padding: 5px 10px;
      }
    #control-panel select,  #control-panel button {
      width: 100%;
      padding: 5px 10px;
      margin-bottom: 5px;
      border: 1px solid #ddd;
      border-radius: 4px;
      font-size: 14px;
    }
    #control-panel button {
      background-color: #4CAF50;
      color: white;
      border: none;
      cursor: pointer;
      transition: background-color 0.3s;
    }
    #control-panel button:hover {
      background-color: #45a049;
    }
    #control-panel .legend {
      margin-top: 10px;
      padding: 3px 10px;
      background: rgba(255,255,255,0.9);
      border-radius: 5px;
      box-shadow: 0 0 10px rgba(0,0,0,0.1);
    }
    #control-panel .legend-gradient {
      height: 25px;
      width: 100%;
      margin: 5px 0;
      border-radius: 4px;
    }
    #control-panel .legend-labels {
      display: flex;
      justify-content: space-between;
      font-size: 12px;
      color: #555;
    }
    #control-panel .action-buttons {
      display: grid;
      grid-template-columns: 1fr 1fr;
      gap: 10px;
      margin-top: 10px;
    }
    #control-panel .action-btn {
      padding: 8px;
      font-size: 13px;
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 5px;
    }
    #control-panel .action-btn i {
      font-size: 14px;
    }
    #control-panel .checkbox-group {
      margin: 5px 0;
      display: flex;
      justify-content: space-between;
      padding: 2px 0px;
      border-radius: 5px;
      border: 1px solid #8f8f8f;
      background-color: #e4e3e3a1;
    }
    #control-panel .checkbox-group label {
      display: flex;
      align-items: center;
      cursor: pointer;
      font-size: 16px;
      background-color: #5f5f5f;
      border-radius: 5px;
      padding: 4px 6px;
      border: 1px solid #cacaca;
      color: white;
      box-shadow: 0px 0px 5px #69696957 inset ;
    }
    #control-panel .checkbox-group input:checked  +label {
      background-color: #2670b6;;
      box-shadow: 0px 0px 5px #69696957 ;
    }

 
    .btnsTogs{
      /* background: white; */
       border: 1px solid #c0bdbd00 !important; 
      padding: 0px !important;
      min-height: 50px !important;
      gap: 2px;
      display: flex;
      align-items: center;
      flex-direction: column;
      justify-content: space-between;
      text-shadow: 1px 1px 1px black;
    }
    .btnsTogs button{
      margin: 0 !important;
      cursor: pointer;
      /* border: none; */
      font-size: 15px;
      border-radius: 0 !important;
    }
    .btnsTogs button.active{
      background-color: #272727;
      color: white;
    }
    .btnsTogs hr{
      margin: 0 !important;
      width: 20px;
    }

    .forest-popup .leaflet-popup-content {
            width: 300px !important;
            margin: 0;
            padding: 0;
            height: 100%;
        }
  .forest-popup .forest-card{
  
    margin: 0px !important;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s;
    border-top: 0px solid rgb(255, 255, 255);
    transform: none !important;
    opacity: 1;
  }

.leaflet-container a.leaflet-popup-close-button {
    position: absolute;
    top: 0;
    right: 0;
    border: none;
    text-align: center;
    width: 24px;
    height: 24px;
    font: 20px/28px Tahoma, Verdana, sans-serif;
    color: #ffffff;
    text-decoration: none;
    background: transparent;
    font-weight: bold;
}
.leaflet-container a.leaflet-popup-close-button:hover {
    font: 20px/28px Tahoma, Verdana, sans-serif !important;
    color: #f80101;
    transform: scale(1.2) !important;
    text-decoration: none;
}
    